<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RLineGroupMember StructType
 * @subpackage Structs
 */
class RLineGroupMember extends AbstractStructBase
{
    /**
     * The lineSelectionOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $lineSelectionOrder;
    /**
     * The directoryNumber
     * Meta information extracted from the WSDL
     * - documentation: The uuid attribute is read here
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RDirn
     */
    public $directoryNumber;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RLineGroupMember
     * @uses RLineGroupMember::setLineSelectionOrder()
     * @uses RLineGroupMember::setDirectoryNumber()
     * @uses RLineGroupMember::setUuid()
     * @param string $lineSelectionOrder
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RDirn $directoryNumber
     * @param string $uuid
     */
    public function __construct($lineSelectionOrder = null, \\Losc\CucmBundle\Model\Webservice\StructType\RDirn $directoryNumber = null, $uuid = null)
    {
        $this
            ->setLineSelectionOrder($lineSelectionOrder)
            ->setDirectoryNumber($directoryNumber)
            ->setUuid($uuid);
    }
    /**
     * Get lineSelectionOrder value
     * @return string|null
     */
    public function getLineSelectionOrder()
    {
        return $this->lineSelectionOrder;
    }
    /**
     * Set lineSelectionOrder value
     * @param string $lineSelectionOrder
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLineGroupMember
     */
    public function setLineSelectionOrder($lineSelectionOrder = null)
    {
        $this->lineSelectionOrder = $lineSelectionOrder;
        return $this;
    }
    /**
     * Get directoryNumber value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDirn|null
     */
    public function getDirectoryNumber()
    {
        return $this->directoryNumber;
    }
    /**
     * Set directoryNumber value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RDirn $directoryNumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLineGroupMember
     */
    public function setDirectoryNumber(\\Losc\CucmBundle\Model\Webservice\StructType\RDirn $directoryNumber = null)
    {
        $this->directoryNumber = $directoryNumber;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLineGroupMember
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
